module Types.FunctionIO
  ( FunctionIO(..)
  ) where

import Language.Haskell.TH.Syntax (Lift)

data FunctionIO = ListDirectory
                | IsDirectory
                | ReadTextFile
                | OpenImage
                | SaveImage
                | SaveTextFile
                | CopyFile
                | MakeDir
  deriving (Show, Lift)
